Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2889183004: Exclude Android system windows from a voice interaction snapshsot. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month ago by Vladislav Kaznacheev
Modified:
1 month ago
CC:
chromium-reviews, elijahtaylor+arcwatch_chromium.org, oshima+watch_chromium.org, yusukes+watch_chromium.org, hidehiko+watch_chromium.org, lhchavez+watch_chromium.org, victorhsieh+watch_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Exclude Android system windows from a voice interaction snapshsot. For the best UX the metalayer has to be excluded from the snapshot. It is currently impossible to identify the metalayer among others system windows. Other layers under kShellWindowId_SystemModalContainer are not relevant for this kind of snapshot, so it is safe to exclude all of them. BUG=b:37640737 TEST=Invoke metalayer, check that the screenshot does not contain stylus strokes. Review-Url: https://codereview.chromium.org/2889183004 Cr-Commit-Position: refs/heads/master@{#473250} Committed: https://chromium.googlesource.com/chromium/src/+/e2c22cf45e4b3017b377a6967b6314a3adcaedca

Patch Set 1 #

Total comments: 4

Patch Set 2 : Addressed comments #

Messages

Total messages: 16 (8 generated)
Vladislav Kaznacheev
Please review.
1 month ago (2017-05-18 22:59:15 UTC) #2
xc
Commit message has extra BUG= field. https://codereview.chromium.org/2889183004/diff/1/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc File chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc (right): https://codereview.chromium.org/2889183004/diff/1/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc#newcode70 chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc:70: root_window, ash::kShellWindowId_SystemModalContainer); Why ...
1 month ago (2017-05-19 00:10:42 UTC) #4
kaznacheev
https://codereview.chromium.org/2889183004/diff/1/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc File chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc (right): https://codereview.chromium.org/2889183004/diff/1/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc#newcode70 chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc:70: root_window, ash::kShellWindowId_SystemModalContainer); On 2017/05/19 00:10:42, xc wrote: > Why ...
1 month ago (2017-05-19 00:31:05 UTC) #7
Luis Héctor Chávez
Adding the correct lhchavez. https://codereview.chromium.org/2889183004/diff/1/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc File chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc (right): https://codereview.chromium.org/2889183004/diff/1/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc#newcode71 chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc:71: if (modal_container != nullptr) { ...
1 month ago (2017-05-19 15:03:21 UTC) #9
Vladislav Kaznacheev
PTAL https://codereview.chromium.org/2889183004/diff/1/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc File chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc (right): https://codereview.chromium.org/2889183004/diff/1/chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc#newcode71 chrome/browser/chromeos/arc/voice_interaction/arc_voice_interaction_framework_service.cc:71: if (modal_container != nullptr) { On 2017/05/19 15:03:21, ...
1 month ago (2017-05-19 17:11:21 UTC) #10
Luis Héctor Chávez
lgtm
1 month ago (2017-05-19 17:12:22 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889183004/20001
1 month ago (2017-05-19 17:15:31 UTC) #13
commit-bot: I haz the power
1 month ago (2017-05-19 18:20:37 UTC) #16
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/e2c22cf45e4b3017b377a6967b63...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318